{% extends 'inventario/base.html' %}
{% load static %}

{% block titulo %}Categorías{% endblock %}

{% block principal %}

    <h1>Categorías....</h1>
    <form class="d-flex" role="search" action="{% url 'buscar' %}" method="post">
        {% csrf_token %}
        <input class="form-control me-2" type="search" placeholder="Buscar por nombre o descripción..." aria-label="Search" name="dato_buscar">
        <button class="btn btn-outline-success" type="submit">Buscar</button>
    </form>
    <br>
    <a class="btn btn-success" href="{% url 'categorias_formulario' %}">Crear</a><br><br>
    <table class="table">
        <tr>
            <th>ID</th>
            <th>Nombre</th>
            <th>Descripción</th>
            <th>Acción</th>
        </tr>
    {% for r in data %}
        <tr>
            <td>{{ r.id }}</td>
            <td>{{ r.nombre_cat }}</td>
            <td>{{ r.desc }}</td>
            <td>
                <a class="btn btn-warning" href="{% url 'categorias_formulario_editar' r.id %}">Editar</a>
                <a class="btn btn-danger" href="javascript:confirmar_eliminar(`{% url 'categorias_eliminar' r.id %}`)">Eliminar</a>
            </td>
        </tr>
    {% endfor %}
    </table>

    <nav aria-label="...">
        <ul class="pagination pagination-lg">
            <li class="page-item active" aria-current="page">
                <span class="page-link">1</span>
            </li>
            <li class="page-item"><a class="page-link" href="#">2</a></li>
            <li class="page-item"><a class="page-link" href="#">3</a></li>
        </ul>
    </nav>

{% endblock %}